Python is now supported on EvenNode. The team has been working hard to bring you support of other programming languages and we're starting with Python.

All versions of Python are available - 2.7, 3.3, 3.4 and 3.5. The build process looks for requirements.txt file to install your dependencies and collectstatic if Django is listed as a dependency.

The stack has been tested thoroughly and is now considered stable. Feel free to share with us your feedback! It is always appreciated.